[all]
copyright=(C) 2009, cFos Software GmbH
designer=Ingo Guenther
version=cFosSkin V1.0
name=Logitech G13/G15/G510
type=net,comport
background=background.png
main_rect=0,0,160,43
blend_time=300
blend_out_time=500
transparentcolor=255,0,0
logitech_key1=disp21
logitech_key2=disp22
logitech_key3=disp23
logitech_key4=disp24

; font definitions
[std_font]
fontbitmap=chars.png
fontbitmapchars=0 123456789KMGT.%
framewidth=11
frameheight=8
default_char_width=6
char_width=K:7 M:8 G:8 T:8 .:2 %:11

[small_font]
fontbitmap=small_chars.png
fontbitmapchars=0 123456789K.
framewidth=4
frameheight=5
default_char_width=4
char_width=1:2 .:2

; rx/tx activity indicator
[disp1]
method=delta
value=rx_data_cnt
disp=rx_activity
updatetime=200

[rx_activity]
method=motion
rect=1,1,20,20
bitmap=rx_active.png
frames=8
min=1
updatetime=200

[disp2]
method=delta
value=tx_data_cnt
disp=tx_activity
updatetime=200

[tx_activity]
method=motion
rect=1,22,20,41
bitmap=tx_active.png
frames=8
min=1
updatetime=200

;numerical cps meters
[disp3]
value=rx_cps
method=text
rect=22,2,51,10
font=std_font
digits=5
style=d
decimals=1
flags=b
format=r

[disp4]
value=tx_cps
method=text
rect=22,23,51,31
font=std_font
digits=5
style=d
decimals=1
flags=b
format=r

;numerical percent meters
[disp5]
value=rx_speed
method=text
rect=104,2,122,10
font=std_font
digits=3
style=d
flags=b
format=r

[disp6]
value=rx_speed
method=animation
bitmap=percent.png
rect=122,2,133,10
min=0
max=1
frames=2

[disp7]
value=tx_speed
method=text
rect=104,23,122,31
font=std_font
digits=3
style=d
flags=b
format=r

[disp8]
value=tx_speed
method=animation
bitmap=percent.png
rect=122,23,133,31
min=0
max=1
frames=2

;graphical cps meters (local)
[disp9]
value=rx_speed
method=history
updatetime=1000
historysize=5
hdisp1=rx_speed_disp1
hdisp2=rx_speed_disp2
hdisp3=rx_speed_disp3
hdisp4=rx_speed_disp4
hdisp5=rx_speed_disp5

[rx_speed_disp1]
method=animation
rect=25,12,133,13
bitmap=bar.png
min=0
max=100
frames=1
break1=1
frames2=100

[rx_speed_disp2]
method=animation
rect=25,13,133,14
bitmap=bar.png
min=0
max=100
frames=1
break1=1
frames2=100

[rx_speed_disp3]
method=animation
rect=25,14,133,15
bitmap=bar.png
min=0
max=100
frames=1
break1=1
frames2=100

[rx_speed_disp4]
method=animation
rect=25,15,133,16
bitmap=bar.png
min=0
max=100
frames=1
break1=1
frames2=100

[rx_speed_disp5]
method=animation
rect=25,16,133,17
bitmap=bar.png
min=0
max=100
frames=1
break1=1
frames2=100

[disp10]
value=tx_speed
method=history
updatetime=1000
historysize=5
hdisp1=tx_speed_disp1
hdisp2=tx_speed_disp2
hdisp3=tx_speed_disp3
hdisp4=tx_speed_disp4
hdisp5=tx_speed_disp5

[tx_speed_disp1]
method=animation
rect=25,33,133,34
bitmap=bar.png
min=0
max=100
frames=1
break1=1
frames2=100

[tx_speed_disp2]
method=animation
rect=25,34,133,35
bitmap=bar.png
min=0
max=100
frames=1
break1=1
frames2=100

[tx_speed_disp3]
method=animation
rect=25,35,133,36
bitmap=bar.png
min=0
max=100
frames=1
break1=1
frames2=100

[tx_speed_disp4]
method=animation
rect=25,36,133,37
bitmap=bar.png
min=0
max=100
frames=1
break1=1
frames2=100

[tx_speed_disp5]
method=animation
rect=25,37,133,38
bitmap=bar.png
min=0
max=100
frames=1
break1=1
frames2=100

;graphical cps meters (total)
[disp11]
value=total_rx_speed
method=history
updatetime=1000
historysize=1
hdisp1=rx_speed_net1

[rx_speed_net1]
method=animation
rect=25,19,133,20
bitmap=bar.png
min=0
max=100
frames=1
break1=1
frames2=100

[disp12]
value=total_tx_speed
method=history
updatetime=1000
historysize=1
hdisp1=tx_speed_net1

[tx_speed_net1]
method=animation
rect=25,40,133,41
bitmap=bar.png
min=0
max=100
frames=1
break1=1
frames2=100

; "tx shape" effect
[disp13]
method=animation
value=tx_shape_effect
rect=139,1,146,11
bitmap=tx_shape.png
frames=10
min=0
max=9
update_time=400

; latency mode
[disp14]
value=latency_mode
method=animation
rect=148,2,159,9
bitmap=latency.png
frames=3
min=0
max=2
updatetime=400

;text displays
[disp15]
value=ping_time
method=text
rect=139,12,158,20
font=std_font
digits=3
format=r
flags=b
style=e
updatetime=400

[disp16]
value=tcp_cnt
method=text
rect=146,21,158,26
font=small_font
digits=3
style=e
flags=b
format=r
updatetime=400

[disp17]
value=udp_cnt
method=text
rect=146,27,158,32
font=small_font
digits=3
style=e
flags=b
format=r

[disp18]
value=tcp_udp_cnt
method=text
rect=139,33,158,41
font=std_font
digits=3
style=e
flags=b
format=r
updatetime=400

[disp21]
method=activearea
bitmap=button.png
rect=28,34,43,43
action=spdcmd
target=gset latency 1 -save
regions=0
force_blit=1

[disp22]
method=activearea
bitmap=button.png
rect=57,34,72,43
action=spdcmd
target=gset latency 2 -save
regions=0
force_blit=1

[disp23]
method=activearea
bitmap=button.png
rect=86,34,101,43
action=exec
target=mshta.exe
parameters="~p\pub\console.htm"
regions=0
force_blit=1

[disp24]
method=activearea
bitmap=button.png
rect=115,34,130,43
action=exec
target=http://www.cfos.de/$l/cfosspeed/documentation/status.htm
regions=0
force_blit=1